using OpenCvSharp;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OpenCV.OpenCV
{
    internal partial class OpenCVClass : IDisposable
    {
        IplImage _canny;

        public IplImage CannyEdge(IplImage src)
        {
            _canny = new IplImage(src.Size, BitDepth.U8, 1);
            Cv.Canny(src, _canny, 100, 255, ApertureSize.Size3);

            return _canny;
        }
    }
}
